Subject: Re: Introduce some randomness to autovacuum

From: Sami Imseih <[email-masked]>
Date: Wed, 30 Apr 2025 11:38:08 -0500

> - Spinning. Running repeatedly on the same table but not accomplishing
> anything useful.

> But more importantly, IMHO it masks the problems instead of
> solving them more directly, and it could mask future problems, too

To add more to Nathan's comment about masking future problems,
this will not solve the "spinning" problem because if the most common
reason for this is a long-running transaction, etc., all your tables will
eventually end up with wasted vacuum cycles because the xmin
horizon is not advancing.

--
Sami Imseih